Update notification preferences
PUT
/notifications/preferences
const url = 'https://shoehorn.example.com/api/v1/notifications/preferences';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"email_enabled":true,"governance_actions":true,"scorecard_changes":true,"deployment_events":true,"forge_run_updates":true,"security_findings":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://shoehorn.example.com/api/v1/notifications/preferences \ --header 'Content-Type: application/json' \ --data '{ "email_enabled": true, "governance_actions": true, "scorecard_changes": true, "deployment_events": true, "forge_run_updates": true, "security_findings": true }'Request Body required
Section titled “Request Body required ” Media type application/json
object
email_enabled
boolean
governance_actions
boolean
scorecard_changes
boolean
deployment_events
boolean
forge_run_updates
boolean
security_findings
boolean
Example generated
{ "email_enabled": true, "governance_actions": true, "scorecard_changes": true, "deployment_events": true, "forge_run_updates": true, "security_findings": true}Responses
Section titled “ Responses ”Preferences updated